/**
        \file error.c
        \author Sachith Dunatunga
        \date 21.04.09
        \brief The implementation of the libparagon error functions.
*/
#include <stdlib.h>
#include "error.h"

/**
        \brief A table of error strings for the strerror function.
*/
char *error_strings[] = {
        "No Error",
        "Bad Argument",
        "Openusb Error",
        "No Phone",
        "Mode Error",
        "No Memory",
        "Timer Interrupted",
        "FSAC Error",
        "Command Error",
        NULL
};

/* ---libparagon----------------------------------------------------------- */
char *paragon_strerror(int err)
{
        int index = -err;
        int size = (sizeof(error_strings) / sizeof(error_strings[0]));

        if ((index > 0) && (index < size)) {
                return error_strings[index];
        }

        return NULL;
}
/* ------------------------------------------------------------------------ */
