/**
        \file timings.c
        \author Sachith Dunatunga
        \date 21.04.09
        \brief The implementation of the libparagon timing functions.
*/
#include <sys/select.h>
#include "error.h"

/* ---libparagon----------------------------------------------------------- */
int paragon_usleep(int usec)
{
        struct timeval tv;
        int result = PARAGON_SUCCESS;

        tv.tv_sec = usec / 1000000;
        tv.tv_usec = usec % 1000000;

        /*
                Pass in empty file descriptors into select so we don't
                watch anything and wait for the timeout to expire.
        */
        select( 0, 0, 0, 0, &tv );

        return result;
}
/* ------------------------------------------------------------------------ */
